Get Asset IP

Retrieves the specified asset IP address.

Required Permissions

Requires the MEMBER role or higher.

HTTP Request

GET /api/sonar/ip-addresses/:guid
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
     https://HOSTNAME/api/sonar/ip-addresses/f47ac10b-58cc-4372-a567-0e02b2c3d479
Request Parameters
KeyRequiredTypeDescriptionNote
guidOStringIP address GUID36 characters

Success Response

{
  "address": {
    "guid": "56654243-bd42-4b67-b21d-3cb21a86c09e",
    "ip": "192.1.1.1",
    "category_name": null,
    "category_guid": null,
    "hostname": "",
    "workgroup": "",
    "description": "Low priority",
    "priority": "low",
    "confidentiality": "low",
    "integrity": "low",
    "availability": "low",
    "emp_name": "John Doe",
    "emp_name2": null,
    "emp_guid": "8d352716-cc2e-4e9b-8e00-4cc707ef78fe",
    "emp_guid2": null,
    "emp_key": "00001",
    "emp_key2": null,
    "dept_name": "Development Team 2",
    "dept_name2": null,
    "os_name": "",
    "os_ver": "",
    "created": "2025-08-13 21:31:55+0900",
    "updated": "2025-08-14 10:16:57+0900",
    "mac": "",
    "location": "",
    "installed": null,
    "site_guid": null,
    "site_name": null,
    "ext0": null,
    "ext1": null,
    "ext2": null,
    "ext3": null,
    "ext4": null,
    "ext5": null,
    "ext6": null,
    "ext7": null,
    "ext8": null,
    "ext9": null
  }
}
  • address (Object): IP address information
    • guid (String): IP address unique identifier
    • ip (String): IP address
    • category_name (String): Category name
    • category_guid (String): Category GUID
    • hostname (String): Hostname
    • workgroup (String): Workgroup
    • description (String): Description
    • priority (String): Priority (low, medium, high)
    • confidentiality (String): Confidentiality (low, medium, high)
    • integrity (String): Integrity (low, medium, high)
    • availability (String): Availability (low, medium, high)
    • emp_name (String): Primary contact name
    • emp_name2 (String): Secondary contact name
    • emp_guid (String): Primary contact GUID
    • emp_guid2 (String): Secondary contact GUID
    • emp_key (String): Primary contact key
    • emp_key2 (String): Secondary contact key
    • dept_name (String): Primary department name
    • dept_name2 (String): Secondary department name
    • os_name (String): Operating system name
    • os_ver (String): Operating system version
    • created (String): Created date and time (yyyy-MM-dd HH:mm:ssZ format)
    • updated (String): Updated date and time (yyyy-MM-dd HH:mm:ssZ format)
    • mac (String): MAC address
    • location (String): Installation location
    • installed (String): Installation date and time (yyyy-MM-dd HH:mm:ssZ format)
    • site_guid (String): Site GUID
    • site_name (String): Site name
    • ext0~ext9 (String): Extension fields (10 fields)

Error Responses

IP address not found

HTTP status code 200

{
  "address": null
}
Invalid GUID format

HTTP status code 400

{
  "error_code": "invalid-param-type",
  "error_msg": "guid should be guid type."
}
No permission

HTTP status code 500

{
  "error_code": "illegal-state",
  "error_msg": "no-permission"
}